summaryrefslogtreecommitdiffstats
path: root/media/webrtc/trunk/tools/gyp/test/mac/postbuilds/script
diff options
context:
space:
mode:
Diffstat (limited to 'media/webrtc/trunk/tools/gyp/test/mac/postbuilds/script')
-rwxr-xr-xmedia/webrtc/trunk/tools/gyp/test/mac/postbuilds/script/shared_library_postbuild.sh23
-rwxr-xr-xmedia/webrtc/trunk/tools/gyp/test/mac/postbuilds/script/static_library_postbuild.sh23
2 files changed, 46 insertions, 0 deletions
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/postbuilds/script/shared_library_postbuild.sh b/media/webrtc/trunk/tools/gyp/test/mac/postbuilds/script/shared_library_postbuild.sh
new file mode 100755
index 000000000..c623c8bf2
--- /dev/null
+++ b/media/webrtc/trunk/tools/gyp/test/mac/postbuilds/script/shared_library_postbuild.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright (c) 2011 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+lib="${BUILT_PRODUCTS_DIR}/${EXECUTABLE_PATH}"
+nm ${lib} > /dev/null # Just make sure this works.
+
+pattern="${1}"
+
+if [ $pattern != "a|b" ]; then
+ echo "Parameter quoting is broken"
+ exit 1
+fi
+
+if [ "${2}" != "arg with spaces" ]; then
+ echo "Parameter space escaping is broken"
+ exit 1
+fi
+
+touch "${lib}"_touch
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/postbuilds/script/static_library_postbuild.sh b/media/webrtc/trunk/tools/gyp/test/mac/postbuilds/script/static_library_postbuild.sh
new file mode 100755
index 000000000..2bf09b34e
--- /dev/null
+++ b/media/webrtc/trunk/tools/gyp/test/mac/postbuilds/script/static_library_postbuild.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright (c) 2011 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+lib="${BUILT_PRODUCTS_DIR}/${FULL_PRODUCT_NAME}"
+nm ${lib} > /dev/null # Just make sure this works.
+
+pattern="${1}"
+
+if [ $pattern != "a|b" ]; then
+ echo "Parameter quote escaping is broken"
+ exit 1
+fi
+
+if [ "${2}" != "arg with spaces" ]; then
+ echo "Parameter space escaping is broken"
+ exit 1
+fi
+
+touch "${lib}"_touch.a